libxr — developer's documentation

- Main Page
- Related Pages
- Data Structures
- Files

- File List
- Globals

Macros | Typedefs | Enumerations | Functions
xr-client.h File Reference

XML-RPC Client Connection API. More...

`#include <openssl/ssl.h>`
`#include "xr-call.h"`
`#include "xr-http.h"`
`#include "xr-value-utils.h"`

Go to the source code of this file.

## Macros

#define | XR_CLIENT_ERROR xr_client_error_quark()

## Typedefs

typedef typedefG_BEGIN_DECLS struct _xr_client_conn | xr_client_conn
| Opaque data structrure that represents client connection. More...

## Enumerations

enum | XRClientError { XR_CLIENT_ERROR_MARCHALIZER, XR_CLIENT_ERROR_CLOSED, XR_CLIENT_ERROR_CONNECT, XR_CLIENT_ERROR_IO, XR_CLIENT_ERROR_FAILED }

## Functions

xr_client_conn * | xr_client_new (GError **err)
| Create new connection object. More...
SSL_CTX * | xr_client_get_ssl_context (xr_client_conn *conn)
| Get SSL context used by the client. More...
void | xr_client_free (xr_client_conn *conn)
| Free connection object. More...
gboolean | xr_client_set_transport (xr_client_conn *conn, xr_call_transport transport)
| Set transport type. More...
void | xr_client_set_http_header (xr_client_conn *conn, const char *name, const char *value)
| Set HTTP header to be used in RPCs. More...
void | xr_client_reset_http_headers (xr_client_conn *conn)
| Remove all user defined HTTP headers. More...
void | xr_client_basic_auth (xr_client_conn *conn, const char *username, const char *password)
| Helper function for setting HTTP headers for Basic Authorization. More...
xr_http * | xr_client_get_http (xr_client_conn *conn)
| Get HTTP transport object. More...
gboolean | xr_client_open (xr_client_conn *conn, const char *uri, GError **err)
| Open new connection to the server. More...
void | xr_client_close (xr_client_conn *conn)
| Close currently open connection. More...
gboolean | xr_client_call (xr_client_conn *conn, xr_call *call, GError **err)
| Perform XML-RPC call over connection. More...
GQuark | xr_client_error_quark ()

## Detailed Description

XML-RPC Client Connection API.

This API can be used to implement XML-RPC clients.

Then basically you just create (xr_client_new) connection object (xr_client_conn) and open connection to given URI (xr_client_open). Now you are free to perform XML-RPC calls using code generated by XDL Language Compiler.

Documentation for libxr, Mon Jan 6 2014 07:31:24.